Name:           apache-mina
Version:        2.0.9
Release:        %mkrel 7
Group:          Development/Java
Summary:        Apache MINA
License:        ASL 2.0
URL:            http://mina.apache.org
Source0:        http://www.eu.apache.org/dist/mina/mina/%{version}/%{name}-%{version}-src.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jzlib)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch

%description
Apache MINA is a network application framework which helps users develop high
performance and high scalability network applications easily. It provides an
abstract event-driven asynchronous API over various transports such as TCP/IP
and UDP/IP via Java NIO.


%package        mina-core
Summary:        Apache MINA Core

%description    mina-core
This package contains Apache MINA Core module.

%package        mina-filter-compression
Summary:        Apache MINA Compression Filter

%description    mina-filter-compression
This package contains Apache MINA Compression Filter module.

%package        mina-statemachine
Summary:        Apache MINA State Machine

%description    mina-statemachine
This package contains Apache MINA State Machine module.

%package        mina-http
Summary:        Apache MINA HTTP client and server codec

%description    mina-http
This package contains Apache MINA HTTP client and server codec.

%package        javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{name}.

%prep
%setup -q

# In the tarball distributed by Apache the source code is inside the src
# directory, but our build tools expect the POM files in the current directory,
# so in order to simplify things we move everything to the top level before
# starting the build:
mv src/* .

# The modules use "bundle" packaging which doesn't work correctly with xmvn
# automatic dependency generation, in order to avoid that we change that to
# "jar":
sed -i \
    -e 's|<packaging>bundle</packaging>|<packaging>jar</packaging>|g' \
    -e 's|<type>bundle</type>|<type>jar</type>|g' \
    $(find . -name pom.xml)

# Disable the plugins that we don't need:
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-bundle-plugin
%pom_remove_plugin :maven-site-plugin

# Disable the modules that we can't currently build:
%pom_disable_module mina-legal
%pom_disable_module mina-transport-apr
%pom_disable_module mina-integration-beans
%pom_disable_module mina-integration-xbean
%pom_disable_module mina-integration-ognl
%pom_disable_module mina-integration-jmx
%pom_disable_module mina-example

%build
# The tests are disabled because they require EasyMock version 2 and we only
# have version 3:
%mvn_build -f -s

%install
%mvn_install

%files -f .mfiles-mina-parent
%doc LICENSE.txt NOTICE.txt

%files mina-core -f .mfiles-mina-core
%doc LICENSE.txt NOTICE.txt

%files mina-filter-compression -f .mfiles-mina-filter-compression

%files mina-statemachine -f .mfiles-mina-statemachine
%doc LICENSE.txt NOTICE.txt

%files mina-http -f .mfiles-mina-http

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Thu May 18 2017 neoclust <neoclust> 2.0.9-7.mga6
+ Revision: 1102929
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 2.0.9-6.mga6
+ Revision: 982344
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.0.9-5.mga6
+ Revision: 975445
- First rebuild of the java stack
- sync package apache-mina with fedora

* Sun Dec 20 2015 zezinho <zezinho> 2.0.10-1.mga6
+ Revision: 912473
- new version

* Fri Dec 26 2014 dmorgan <dmorgan> 2.0.7-2.mga5
+ Revision: 806175
- imported package apache-mina


* Mon Feb 13 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.4-2
- Use the complete URL of the source code tarball

* Sun Feb 12 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.4-1
- Initial packaging

